com.ibm.openpages.api.security

## Class SecurityPrincipalInfo

- java.lang.Object
- - com.ibm.openpages.api.security.SecurityPrincipalInfo

- Direct Known Subclasses:
    GroupInfo, UserInfo

      public class SecurityPrincipalInfo
      extends java.lang.Object

  Parent class for the specification of a security principal, which forms part of the specification of a user or group. This class should not be instantiated.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDescription()` Get Description
    `java.lang.String` | `getEmail()` Get Email
    `java.util.Locale` | `getLocale()` Get Locale
    `java.lang.String` | `getName()` Get Name
    `boolean` | `isEnabled()` Is Enabled
    `boolean` | `isHidden()` Is Hidden
    `void` | `setDescription(java.lang.String description)` Set Description
    `void` | `setEmail(java.lang.String userEmail)` Set Email
    `void` | `setEnabled(boolean enabled)` Set Enabled
    `void` | `setHidden(boolean isHidden)` Set Hidden
    `void` | `setLocale(java.util.Locale userLocale)` Set Locale
    `void` | `setName(java.lang.String systemName)` Set Name

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getLocale

          public java.util.Locale getLocale()

      Get Locale
      Returns:
        locale

    - #### setLocale

          public void setLocale(java.util.Locale userLocale)

      Set Locale
      Parameters:
        `userLocale` -

    - #### getName

          public java.lang.String getName()

      Get Name
      Returns:
        String

    - #### setName

          public void setName(java.lang.String systemName)

      Set Name
      Parameters:
        `systemName` -

    - #### getEmail

          public java.lang.String getEmail()

      Get Email
      Returns:
        String

    - #### setEmail

          public void setEmail(java.lang.String userEmail)

      Set Email
      Parameters:
        `userEmail` -

    - #### isEnabled

          public boolean isEnabled()

      Is Enabled
      Returns:
        boolean

    - #### setEnabled

          public void setEnabled(boolean enabled)

      Set Enabled
      Parameters:
        `enabled` -

    - #### isHidden

          public boolean isHidden()

      Is Hidden
      Returns:
        boolean

    - #### setHidden

          public void setHidden(boolean isHidden)

      Set Hidden
      Parameters:
        `isHidden` -

    - #### getDescription

          public java.lang.String getDescription()

      Get Description
      Returns:
        String

    - #### setDescription

          public void setDescription(java.lang.String description)

      Set Description
      Parameters:
        `description` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.